| LibDriver GT30L32S4W 1.0.0 GT30L32S4W full function driver

Data Structures | Typedefs | Enumerations | Functions
gt30l32s4w base driver function
gt30l32s4w driver function

gt30l32s4w base driver modules More...

## Data Structures
struct | gt30l32s4w_handle_s
| gt30l32s4w handle structure definition More...
struct | gt30l32s4w_info_s
| gt30l32s4w information structure definition More...

## Typedefs
typedef struct gt30l32s4w_handle_s | gt30l32s4w_handle_t
| gt30l32s4w handle structure definition More...
typedef struct gt30l32s4w_info_s | gt30l32s4w_info_t
| gt30l32s4w information structure definition More...

## Enumerations
enum | gt30l32s4w_mode_t { GT30L32S4W_MODE_READ = 0x03 , GT30L32S4W_MODE_FAST_MODE = 0x0B }
| gt30l32s4w mode enumeration definition More...
enum | gt30l32s4w_type_t { GT30L32S4W_TYPE_12X12_GB2312 = 0x01 , GT30L32S4W_TYPE_15X16_GB2312 = 0x02 , GT30L32S4W_TYPE_24X24_GB2312 = 0x03 , GT30L32S4W_TYPE_32X32_GB2312 = 0x04 , GT30L32S4W_TYPE_6X12_GB2312_EX = 0x05 , GT30L32S4W_TYPE_6X12_ASCII = 0x06 , GT30L32S4W_TYPE_12_ARIAL_ASCII = 0x07 , GT30L32S4W_TYPE_12_TIMES_ASCII = 0x08 , GT30L32S4W_TYPE_8X16_GB2312_EX = 0x09 , GT30L32S4W_TYPE_8X16_ASCII = 0x0A , GT30L32S4W_TYPE_5X7_ASCII = 0x0B , GT30L32S4W_TYPE_7X8_ASCII = 0x0C , GT30L32S4W_TYPE_16_ARIAL_ASCII = 0x0D , GT30L32S4W_TYPE_16_TIMES_ASCII = 0x0E , GT30L32S4W_TYPE_12X24_GB2312_EX = 0x0F , GT30L32S4W_TYPE_12X24_ASCII = 0x10 , GT30L32S4W_TYPE_24_ARIAL_ASCII = 0x11 , GT30L32S4W_TYPE_24_TIMES_ASCII = 0x12 , GT30L32S4W_TYPE_16X32_GB2312_EX = 0x13 , GT30L32S4W_TYPE_16X32_ASCII = 0x14 , GT30L32S4W_TYPE_32_ARIAL_ASCII = 0x15 , GT30L32S4W_TYPE_32_TIMES_ASCII = 0x16 , GT30L32S4W_TYPE_8X16_GB2312_SP = 0x17 }
| gt30l32s4w type enumeration definition More...

## Functions
uint8_t | gt30l32s4w_info (gt30l32s4w_info_t *info)
| get chip's information More...
uint8_t | gt30l32s4w_set_mode (gt30l32s4w_handle_t *handle, gt30l32s4w_mode_t mode)
| set mode More...
uint8_t | gt30l32s4w_get_mode (gt30l32s4w_handle_t *handle, gt30l32s4w_mode_t *mode)
| get mode More...
uint8_t | gt30l32s4w_init (gt30l32s4w_handle_t *handle)
| initialize the chip More...
uint8_t | gt30l32s4w_deinit (gt30l32s4w_handle_t *handle)
| close the chip More...
uint8_t | gt30l32s4w_print_pattern (gt30l32s4w_handle_t *handle, gt30l32s4w_type_t type, uint8_t *buf, uint8_t len)
| print pattern More...
uint8_t | gt30l32s4w_read_char_12x12 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[24])
| read char 12x12 More...
uint8_t | gt30l32s4w_read_char_15x16 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[32])
| read char 15x16 More...
uint8_t | gt30l32s4w_read_char_24x24 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[72])
| read char 24x24 More...
uint8_t | gt30l32s4w_read_char_32x32 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[128])
| read char 32x32 More...
uint8_t | gt30l32s4w_read_char_extend_6x12 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[12])
| read char extend 6x12 More...
uint8_t | gt30l32s4w_read_char_extend_8x16 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[16])
| read char extend 8x16 More...
uint8_t | gt30l32s4w_read_char_special_8x16 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[16])
| read char special 8x16 More...
uint8_t | gt30l32s4w_read_char_extend_12x24 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[48])
| read char extend 12x24 More...
uint8_t | gt30l32s4w_read_char_extend_16x32 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[64])
| read char extend 16x32 More...
uint8_t | gt30l32s4w_read_ascii_5x7 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[8])
| read ascii 5x7 More...
uint8_t | gt30l32s4w_read_ascii_7x8 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[8])
| read ascii 7x8 More...
uint8_t | gt30l32s4w_read_ascii_6x12 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[12])
| read ascii 6x12 More...
uint8_t | gt30l32s4w_read_ascii_8x16 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[16])
| read ascii 8x16 More...
uint8_t | gt30l32s4w_read_ascii_12x24 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[48])
| read ascii 12x24 More...
uint8_t | gt30l32s4w_read_ascii_16x32 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[64])
| read ascii 16x32 More...
uint8_t | gt30l32s4w_read_ascii_arial_12 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[26])
| read ascii arial 12 More...
uint8_t | gt30l32s4w_read_ascii_times_12 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[26])
| read ascii times 12 More...
uint8_t | gt30l32s4w_read_ascii_arial_16 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[34])
| read ascii arial 16 More...
uint8_t | gt30l32s4w_read_ascii_times_16 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[34])
| read ascii times 16 More...
uint8_t | gt30l32s4w_read_ascii_arial_24 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[74])
| read ascii arial 24 More...
uint8_t | gt30l32s4w_read_ascii_times_24 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[74])
| read ascii times 24 More...
uint8_t | gt30l32s4w_read_ascii_arial_32 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[130])
| read ascii arial 32 More...
uint8_t | gt30l32s4w_read_ascii_times_32 (gt30l32s4w_handle_t *handle, uint16_t ch, uint8_t buf[130])
| read ascii times 32 More...

## Detailed Description

gt30l32s4w base driver modules

## Typedef Documentation

## ◆ gt30l32s4w_handle_t

typedef struct gt30l32s4w_handle_s gt30l32s4w_handle_t

gt30l32s4w handle structure definition

## ◆ gt30l32s4w_info_t

typedef struct gt30l32s4w_info_s gt30l32s4w_info_t

gt30l32s4w information structure definition

## Enumeration Type Documentation

## ◆ gt30l32s4w_mode_t

enum gt30l32s4w_mode_t

gt30l32s4w mode enumeration definition

Enumerator
GT30L32S4W_MODE_READ | read data bytes
GT30L32S4W_MODE_FAST_MODE | read data bytes at higher speed

Definition at line 62 of file driver_gt30l32s4w.h.

## ◆ gt30l32s4w_type_t

enum gt30l32s4w_type_t

gt30l32s4w type enumeration definition

Enumerator
GT30L32S4W_TYPE_12X12_GB2312 | 12x12 gb2312
GT30L32S4W_TYPE_15X16_GB2312 | 15x16 gb2312
GT30L32S4W_TYPE_24X24_GB2312 | 24x24 gb2312
GT30L32S4W_TYPE_32X32_GB2312 | 32x32 gb2312
GT30L32S4W_TYPE_6X12_GB2312_EX | 6x12 gb2312 extend
GT30L32S4W_TYPE_6X12_ASCII | 6x12 ascii
GT30L32S4W_TYPE_12_ARIAL_ASCII | 12 arial ascii
GT30L32S4W_TYPE_12_TIMES_ASCII | 12 times ascii
GT30L32S4W_TYPE_8X16_GB2312_EX | 8x16 gb2312 extend
GT30L32S4W_TYPE_8X16_ASCII | 8x16 ascii
GT30L32S4W_TYPE_5X7_ASCII | 5x7 ascii
GT30L32S4W_TYPE_7X8_ASCII | 7x8 ascii
GT30L32S4W_TYPE_16_ARIAL_ASCII | 16 arial ascii
GT30L32S4W_TYPE_16_TIMES_ASCII | 16 times ascii
GT30L32S4W_TYPE_12X24_GB2312_EX | 12x24 gb2312 extend
GT30L32S4W_TYPE_12X24_ASCII | 12x24 ascii
GT30L32S4W_TYPE_24_ARIAL_ASCII | 24 arial ascii
GT30L32S4W_TYPE_24_TIMES_ASCII | 24 times ascii
GT30L32S4W_TYPE_16X32_GB2312_EX | 16x32 gb2312 extend
GT30L32S4W_TYPE_16X32_ASCII | 16x32 ascii
GT30L32S4W_TYPE_32_ARIAL_ASCII | 32 arial ascii
GT30L32S4W_TYPE_32_TIMES_ASCII | 32 times ascii
GT30L32S4W_TYPE_8X16_GB2312_SP | 8x16 gb2312 special

Definition at line 71 of file driver_gt30l32s4w.h.

## Function Documentation

## ◆ gt30l32s4w_deinit()

uint8_t gt30l32s4w_deinit | ( | gt30l32s4w_handle_t * | handle | ) |

close the chip

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure

Returns
  status code
  - 0 success
  - 1 spi deinit failed
  - 2 handle is NULL
  - 3 handle is not initialized

Note
  none

Definition at line 219 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_get_mode()

uint8_t gt30l32s4w_get_mode | ( | gt30l32s4w_handle_t * | handle,
|  | gt30l32s4w_mode_t * | mode
| ) |  |

get mode

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [out] | *mode | pointer to a mode buffer

Returns
  status code
  - 0 success
  - 2 handle is NULL
  - 3 handle is not initialized

Note
  none

Definition at line 277 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_info()

uint8_t gt30l32s4w_info | ( | gt30l32s4w_info_t * | info | ) |

get chip's information

Parameters

  [out] | *info | pointer to a gt30l32s4w info structure

Returns
  status code
  - 0 success
  - 2 handle is NULL

Note
  none

Definition at line 2290 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_init()

uint8_t gt30l32s4w_init | ( | gt30l32s4w_handle_t * | handle | ) |

initialize the chip

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure

Returns
  status code
  - 0 success
  - 1 spi initialization failed
  - 2 handle is NULL
  - 3 linked functions is NULL
  - 4 spi read error

Note
  none

Definition at line 141 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_print_pattern()

uint8_t gt30l32s4w_print_pattern | ( | gt30l32s4w_handle_t * | handle,
|  | gt30l32s4w_type_t | type,
|  | uint8_t * | buf,
|  | uint8_t | len
| ) |  |

print pattern

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | type | pattern type
  [in] | *buf | pointer to an input buffer
  [in] | len | buffer length

Returns
  status code
  - 0 success
  - 1 print pattern failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 len is invalid

Note
  none

Definition at line 1459 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_12x24()

uint8_t gt30l32s4w_read_ascii_12x24 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[48]
| ) |  |

read ascii 12x24

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 12x24 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 978 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_16x32()

uint8_t gt30l32s4w_read_ascii_16x32 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[64]
| ) |  |

read ascii 16x32

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 16x32 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1026 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_5x7()

uint8_t gt30l32s4w_read_ascii_5x7 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[8]
| ) |  |

read ascii 5x7

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 5x7 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 786 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_6x12()

uint8_t gt30l32s4w_read_ascii_6x12 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[12]
| ) |  |

read ascii 6x12

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 6x12 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 882 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_7x8()

uint8_t gt30l32s4w_read_ascii_7x8 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[8]
| ) |  |

read ascii 7x8

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 7x8 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 834 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_8x16()

uint8_t gt30l32s4w_read_ascii_8x16 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[16]
| ) |  |

read ascii 8x16

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii 8x16 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 930 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_arial_12()

uint8_t gt30l32s4w_read_ascii_arial_12 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[26]
| ) |  |

read ascii arial 12

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii arial 12 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1074 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_arial_16()

uint8_t gt30l32s4w_read_ascii_arial_16 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[34]
| ) |  |

read ascii arial 16

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii arial 16 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1170 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_arial_24()

uint8_t gt30l32s4w_read_ascii_arial_24 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[74]
| ) |  |

read ascii arial 24

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii arial 24 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1266 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_arial_32()

uint8_t gt30l32s4w_read_ascii_arial_32 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[130]
| ) |  |

read ascii arial 32

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii arial 32 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1362 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_times_12()

uint8_t gt30l32s4w_read_ascii_times_12 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[26]
| ) |  |

read ascii times 12

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii times 12 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1122 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_times_16()

uint8_t gt30l32s4w_read_ascii_times_16 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[34]
| ) |  |

read ascii times 16

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii times 16 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1218 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_times_24()

uint8_t gt30l32s4w_read_ascii_times_24 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[74]
| ) |  |

read ascii times 24

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii times 24 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1314 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_ascii_times_32()

uint8_t gt30l32s4w_read_ascii_times_32 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[130]
| ) |  |

read ascii times 32

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read ascii times 32 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 1410 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_12x12()

uint8_t gt30l32s4w_read_char_12x12 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[24]
| ) |  |

read char 12x12

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char 12x12 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 306 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_15x16()

uint8_t gt30l32s4w_read_char_15x16 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[32]
| ) |  |

read char 15x16

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char 15x16 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 362 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_24x24()

uint8_t gt30l32s4w_read_char_24x24 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[72]
| ) |  |

read char 24x24

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char 24x24 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 418 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_32x32()

uint8_t gt30l32s4w_read_char_32x32 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[128]
| ) |  |

read char 32x32

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char 32x32 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 474 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_extend_12x24()

uint8_t gt30l32s4w_read_char_extend_12x24 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[48]
| ) |  |

read char extend 12x24

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char extend 12x24 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 682 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_extend_16x32()

uint8_t gt30l32s4w_read_char_extend_16x32 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[64]
| ) |  |

read char extend 16x32

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char extend 16x32 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 734 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_extend_6x12()

uint8_t gt30l32s4w_read_char_extend_6x12 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[12]
| ) |  |

read char extend 6x12

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char extend 6x12 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 530 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_extend_8x16()

uint8_t gt30l32s4w_read_char_extend_8x16 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[16]
| ) |  |

read char extend 8x16

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char extend 8x16 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 582 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_read_char_special_8x16()

uint8_t gt30l32s4w_read_char_special_8x16 | ( | gt30l32s4w_handle_t * | handle,
|  | uint16_t | ch,
|  | uint8_t | buf[16]
| ) |  |

read char special 8x16

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | ch | read char
  [out] | *buf | pointer to an output buffer

Returns
  status code
  - 0 success
  - 1 read char special 8x16 failed
  - 2 handle is NULL
  - 3 handle is not initialized
  - 4 char is invalid

Note
  none

Definition at line 634 of file driver_gt30l32s4w.c.

## ◆ gt30l32s4w_set_mode()

uint8_t gt30l32s4w_set_mode | ( | gt30l32s4w_handle_t * | handle,
|  | gt30l32s4w_mode_t | mode
| ) |  |

set mode

Parameters

  [in] | *handle | pointer to a gt30l32s4w handle structure
  [in] | mode | set mode

Returns
  status code
  - 0 success
  - 2 handle is NULL
  - 3 handle is not initialized

Note
  none

Definition at line 251 of file driver_gt30l32s4w.c.